%% Erweitertes Hermitsches Interpolationpolynome
%  Intervall von [0, 1] 

% Vers. 1.2 08.2016 
% Copyright W.Schweizer
% Simulation physikalischer Systeme - Computational Physics mit MATLAB 
% 2016
Or=input('Anzahl der Knoten  ')
Or = Or-1;
%Or = 2;
dx = 1/Or;
lauf = 0:(3*(Or+1)-1);
A = zeros(3*(Or+1));
for n=0:Or
    A(3*n+1,:) = (n*dx).^lauf;
    A(3*n+2,:) = lauf.*(n*dx).^(lauf-1);
    A(3*n+3,:) = (lauf-1).*lauf.*(n*dx).^(lauf-2);
end
A(isnan(A))=0;
%format rat
C = eye(3*(Or+1))/A
%% Polynomordnung
C = flipud(C);